package com.sf.config;


import com.alibaba.druid.pool.DruidDataSource;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;

import javax.sql.DataSource;

/**
 * @author WanJl
 * @version 1.0
 * @title JdbcConfig
 * @description 用来配置连接数据库的相关信息
 * @create 2025/11/30
 */
public class JdbcConfig {
    //EL表达式
    @Value("${jdbc.driver}")
    private String driver;
    @Value("${jdbc.url}")
    private String url;
    @Value("${jdbc.username}")
    private String username;
    @Value("${jdbc.password}")
    private String password;
    //怎样将第三方库提供的类，作为bean注入到IOC容器中
    @Bean   // 表示当前方法的返回值作为bean对象，注入到IOC容器中
    public DataSource getDataSource() {
        //创建了德鲁伊Druid提供的第三方数据源，作为Java连接数据库的数据源对象
        DruidDataSource ds = new DruidDataSource();
        ds.setDriverClassName(driver);
        ds.setUrl(url);
        ds.setUsername(username);
        ds.setPassword(password);
        return ds;
    }

}
